#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87093886, "ip6_tnl_encap_add_ops" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc9196f4a, "ip6_tnl_encap_del_ops" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0x648c2958, "udp6_set_csum" },
	{ 0x4ea0a6b5, "__gue_build_header" },
	{ 0x81d1dea6, "__fou_build_header" },
	{ 0x5ec6641a, "inet6_protos" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0x1757d1a4, "fou_encap_hlen" },
	{ 0xf13914b3, "gue_encap_hlen" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "ip6_tunnel,fou");

